
///////////////////////////////////////////////////////
// PORTAL SHADER; FADEOUT AND REFLECTION   02.12.2000//
///////////////////////////////////////////////////////

textures/Beyond_Gothic/bg_mirror
{
	qer_editorimage textures/Beyond_Gothic/bg_mirror01.tga
	portal
	surfaceparm nolightmap
	
	
	{
		map textures/Beyond_Gothic/bg_mirror02.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                alphaGen portal 0
		//alphaGen portal 256
	        
	                //rgbGen identityLighting
                depthWrite
	}

	{
		map textures/Beyond_Gothic/bg_mirror03.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		tcGen environment
		tcMod turb 0 0.25 0 0.05
	}
	
}


////////////////////////////////////////////////////////
//RECONSTRUCTED AND MODIFIED ID FIRE SHADER 04.04.2000//
////////////////////////////////////////////////////////

textures/Beyond_Gothic/bg_fire

{
	qer_editorimage textures/Beyond_Gothic/bg_fire01.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
		//q3map_lightimage textures/Beyond_Gothic/bg_fire02.tga
		//q3map_surfacelight 2500
		//tesssize 64
	
	{
		map textures/Beyond_Gothic/bg_fire02.tga
		blendfunc gl_one gl_zero
			//tcMod turb .2 .2 .1 1
		tcMod scale .6 .6
		tcMod scroll 1.2 2.5
	}

	{
		map textures/Beyond_Gothic/bg_fire03.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
			//tcMod turb .2 .1 .1 1
		tcMod scale .4 .4
		tcMod scroll 0 2.0
	}
	
	{
		map textures/Beyond_Gothic/bg_fire02.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcMod turb .1 .1 .5 .5
		tcMod scroll 1 5.0
	}

}



//////////////////////////////////////////////////////////////////
// MODIFIED ID SKY SHADER; NOW GREY CLOUDS; VERY HIGH 03.07.2000//
//////////////////////////////////////////////////////////////////

// NOT WORKING ///////////////////////////////////////////////////

textures/Beyond_Gothic/bg_greyfog
{
	qer_editorimage textures/Beyond_Gothic/bg_greyfog01.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun .5 .37 .19 70 314 60
		//q3map_sun 1 .37 .19 70 30 70
	q3map_surfacelight 80
	skyparms 576
	

	{
		map textures/Beyond_Gothic/bg_greyfog02.tga
		tcMod scroll 0.05 .1
		tcMod scale 2 2
		depthWrite
	}

	{
		map textures/Beyond_Gothic/bg_greyfog02.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.06
		tcMod scale 3 2
	}
}



//////////////////////////////////////////////////////////////
//MODIFIED ID LAVA SHADER; NOW "LIKE" A WATERFALL 04.04.2000//
//////////////////////////////////////////////////////////////

textures/Beyond_Gothic/Lava_flow
{
	qer_editorimage textures/Beyond_Gothic/Lava_flow01.tga
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 750
	cull disable
	

	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1

	{
		map textures/Beyond_Gothic/Lava_flow02.tga
		tcMod scroll 0.05 -.3
	}

}




///////////////////////////////////////////////
//MODIFIED SUN IN SKY; HIGHER & ANOTHER ANGLE//
///////////////////////////////////////////////
textures/beyond_gothic/bg_sky01
{
	q3map_lightimage textures/skies/stars_red.tga
	qer_editorimage textures/skies/killsky_1.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm sky

	q3map_sun .63 .47 .23 80 130 70
//test q3map_sun .54 .4 .2 80 130 70
//GRB=137 102 51

//OLDq3map_sun .5 .37 .19 70 314 60
	q3map_surfacelight 80
	skyparms - 512 -

	{
		map textures/skies/killsky_1.tga
		tcMod scroll 0.05 .1
		tcMod scale 2 2
		depthWrite
	}
	{
		map textures/skies/killsky_2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.06
		tcMod scale 3 2
	}
}


///////////////////////////////////////////
//LAVAHELL; SURFACELIGHT 900 ! 08.28.2000//
///////////////////////////////////////////

textures/Beyond_Gothic/bg_lavahell_900
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 900
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
	}
}


//////////////////////////////////////////////////
// MODIFIED LIGHT; BRIGHTNESS DIFFERS 09.15.2000//
//////////////////////////////////////////////////


textures/Beyond_Gothic/bg_gothic_light2_2.6K
{
	qer_editorimage textures/gothic_light/gothic_light2.tga
	q3map_surfacelight 2600
//	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/gothic_light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		rgbGen wave sin .6 .1 .1 .1
		blendfunc GL_ONE GL_ONE
	}
}


///////////////////////////////////
// MODIFIED IRONCROSS 09.15.2000 //
///////////////////////////////////

textures/Beyond_Gothic/bg_ironcrosslt2_20000
{
	qer_editorimage textures/gothic_light/ironcrosslt2.tga
	q3map_lightimage textures/gothic_light/ironcrosslt2.blend.tga
	q3map_surfacelight 20000
//	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}



/////////////////////////////////////////////////////////////
//NEW HELLFOG - REACHING FULL OPAQUE BY 165UNITS 05.01.2001//
/////////////////////////////////////////////////////////////

textures/beyond_gothic/bg_fog
{
	qer_editorimage textures/beyond_gothic/hellfog.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 165
	fogparms ( .55 .11 .1 ) 190
	
	

	
	{
		map textures/beyond_gothic/bg_fogcloud01.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/beyond_gothic/bg_fogcloud01.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
		
}



///////////////////////////////////////
//GOTHIC LIGHT - LIGHT 550 05.01.2001//
///////////////////////////////////////
textures/beyond_gothic/bg_gothic_light550
{
	qer_editorimage textures/gothic_light/gothic_light2.tga
	q3map_surfacelight 300
//	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/gothic_light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		rgbGen wave sin .6 .1 .1 .1
		blendfunc GL_ONE GL_ONE
	}
}


///////////////////////////////////////////
//FOG BROWN/ORANGE - LIGHT 550 05.01.2001//
///////////////////////////////////////////


//Tim's fog for q3test1
textures/beyond_gothic/bg_fog2

{
	qer_editorimage textures/sfx/fog_timdm1.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap

	fogparms ( .42 .32 .14 ) 800
}
